package edu.uci.ics.seal.savasana.benchmark.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import edu.uci.ics.seal.savasana.runtime.model.UpdateInterval.Granularity;
import edu.uci.ics.seal.savasana.runtime.model.UpdateInterval.IntervalPlace;


@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)

public @interface SafeUpdatePoint {
	IntervalPlace beforeOrAfer();
	Granularity adaptaionGranularity();
}
