package edu.uci.ics.seal.savasana.benchmark.systemUnderTestInterfaces;

import java.util.Properties;

import edu.uci.ics.seal.savasana.runtime_old.Main_Old.AdaptationApproach;
import edu.uci.ics.seal.savasana.runtime_old.Main_Old.SerenityCycle;

public interface ComponentBasedSystemManager {

	public void adaptComponent();

	public Properties getSystemConfig();

	public void initSystem(SerenityCycle mode, AdaptationApproach approach) throws Exception;

	public SerenityCycle getMode();

	public AdaptationApproach getApproach();

	public void terminateSystem() throws Exception;

}
