package edu.uci.ics.seal.savasana.runtime.model;

import java.util.ArrayList;
import java.util.List;

public class AdaptationLog {
	List<Long[]> timeLog;

	public AdaptationLog() {
		this.timeLog = new ArrayList<Long[]>();
	}

	public void logRequest() {
		Long[] log = new Long[] { System.currentTimeMillis(), null };
		timeLog.add(log);
	}

	public void logAdaptation() {
		timeLog.get(timeLog.size() - 1)[1] = System.currentTimeMillis();
	}

	public List<Long> getWaitTime() {
		List<Long> result = new ArrayList<Long>();
		for (Long[] log : timeLog) {
			if (log[1] == null)
				result.add(null);
			else
				result.add(log[1] - log[0]);
		}
		return result;
	}
}