package edu.uci.ics.seal.savasana.runtime.model;

public class UpdateInterval {

	String component;
	String transactionId;
	IntervalPlace beforeOrAfter;

	public UpdateInterval(String component, String transactionId, IntervalPlace beforeOrAfter) {
		this.component = component;
		this.transactionId = transactionId;
		this.beforeOrAfter = beforeOrAfter;
	}

	public boolean isBeforeOrAfter(IntervalPlace place) {
		return beforeOrAfter == place;
	}

	public enum IntervalPlace {
		BEFORE, AFTER, NA
	}

	public enum Granularity {
		INTER_COMPONENT, INTRA_COMPONENT
	}

	public String getFullTransactionID() {
		return component + "." + transactionId;
	}

}
