package edu.uci.ics.seal.savasana.runtime.model;

import edu.uci.ics.seal.savasana.runtime.model.UpdateInterval.IntervalPlace;

public class RegistryValue {

	Boolean isSafe;
	UpdateInterval updateInterval;

	public RegistryValue(Boolean isSafe, String transactionId, String component, IntervalPlace beforeOrAfter) {
		this.isSafe = isSafe;
		this.updateInterval = new UpdateInterval(component, transactionId, beforeOrAfter);
	}

	@Override
	public String toString() {
		return updateInterval.beforeOrAfter + " " + updateInterval.transactionId + "(" + (isSafe ? "Safe" : "Unsafe") + ")";
	}

	public Boolean isSafe() {
		return isSafe;
	}

}